%draw_definition.m
% -- Script File: draw_definition
%     Make a nice drawing showing the mathematical positive rotation direction
%     about the axes. Seen the xy-plane from above (looking in the direction -z)
%     the rotation about z is counter-clockwise. The x-axis is 0 degrees, the
%     y-axis 90 degrees etc.
%
%     Arnold Neugebauer

clear
hold( "off" )
rot = eye( 3 );
plotaxes( rot, 3, 0.05, 0, "k" )
hold( "on" )

format_triangle = [ "^", "k" ];

points = [0.10000, 0.00000, -0.10000;
          0.14142, 0.00000, -0.00000;
          0.10000, 0.00000,  0.10000;
          0.00000, 0.00000,  0.14142;
         -0.10000, 0.00000,  0.10000;
         -0.14142, 0.00000,  0.00000;
         -0.10000, 0.00000, -0.10000];
yoffset = zeros(7,3);
yoffset(:, 2) = 1.5;
plotpoints( points + yoffset, "k" )
plot3( points(1,1), points(1,2)+1.5, points(1,3), format_triangle )

points = points * rotz( -90 );
xoffset = zeros(7,3);
xoffset(:, 1) = 1.5;
plotpoints( points + xoffset, "k" )
plot3( points(1,1)+1.5, points(1,2), points(1,3), format_triangle )

points = points * roty( -90 );
zoffset = zeros(7,3);
zoffset(:, 3) = 1.5;
plotpoints( points + zoffset, "k" )
plot3( points(1,1), points(1,2), points(1,3)+1.5, format_triangle )
