%part1.m
% -- Script File: part1
%     The files part1.m to part4.m are both, the text of a tutorial as well as
%     the tutorials Octave scripts. You may just read through them though it is
%     quite handy to see the math actually executed. Walk your way through the
%     parts. Part 1 starts with the Octave setup.
%
%     Arnold Neugebauer

page_screen_output( 0 )     %don't use pager
subplot( 1, 1, 1 )          %set to standard single plot mode

%PART 1
%======

%Motivation
%----------
%This is a tutorial dealing with the math behind tilt compensation in an
%electronic compass.
%I have seen several datasheets from sensor manufacturers stating inaccurate
%equations and/or missing the underlying conventions (axes, angles, direction of
%rotations). That is why I will explain the topic starting from the basics to
%the final equations.

%The less abstract Euler angles (or Euler's angles or Eulerian angles) are used,
%choosing one of several possible conventions for them. Note that another
%approach uses quaternions instead.

%Setup Octave
%------------
%Octave is a program for performing numerical computations. The homepage is
%www.gnu.org/software/octave. Download and execute the installation package.
%For Windows this is currently Octave-3.0.5_i686-pc-mingw32_gcc-4.3.0_setup.exe.

%You may want to alter some settings. The script <install dir>\share\octave\
%3.0.5\m\startup\octaverc is executed on every startup of Octave. You can for
%example shorten the prompt with PS1( "> " ).

%To set the startup path to the directory of your own scripts simply alter the
%properties of the Octave icon. Right click on it, click "Properties" and then
%edit the "Start In:" folder.

%For the graphical output of this tutorial an aspect ratio of 1:1 is best to see
%the drawings undistorted. I have'nt found a way to control the aspect ratio
%within Octave. A workaround is to set the Gnuplot window to a fixed size. The
%GraphSize is set in Documents and Settings\<user>\Application Data\wgnuplot.ini.
%(If the file does not exist generate it by selecting Options->Update wgnuplot.ini
%in the menu of a plot.)

%The following should create an undistorted output. You can rotate the drawing
%with the left mouse button pressed. Rotate it until you get a 2D view on one
%plane (for example the x-y-plane). Alter GraphSize until the following creates
%a graphical output in which the axes in vertical and horizontal direction are
%displayed with the same length.

clear           %undefines all variables
hold( "off" )   %next plot command will delete former output
rot = eye( 3 ); %see next part for details
plotaxes( rot, 3, 0.05, 0, "k" )
title( "Aspect Ratio Setup" )

%A script, for example the part1.m you are currently reading, is simply
%executed by entering its name "part1" on the command line of Octave.
