function plotpoints( points, color )
% -- Function File: plotpoints( points, color )
%     Plots multiple points in the matrix 'points'.
%     'points' is organized as [x1 y1 z1; x2 y2 z2; ...].
%     Points are connected with lines.
%     To draw a line simply hand over two points.
%     The string 'color' is one of "k" (black), "r" (red), "g" (green),
%     "b" (blue), "m" (magenta), "c" (cyan), or "w" (white).
%
%     Arnold Neugebauer

format = [ "-", color ];
plot3( points(:,1), points(:,2), points(:,3), format )

endfunction
