function plotvector( vector, color )
% -- Function File: plotvector( vector, color )
%     Plots a line from start to end point.
%     'vector' is organized as [xstart ystart zstart; xend yend zend].
%     A triangle is plotted at the end point as replacement for an arrowhead.
%     The string 'color' is one of "k" (black), "r" (red), "g" (green),
%     "b" (blue), "m" (magenta), "c" (cyan), or "w" (white).
%
%     Arnold Neugebauer

format_line     = [ "-", color ];
format_triangle = [ "^", color ];

if( ishold() == 1 )
   plot3( vector(:,1), vector(:,2), vector(:,3), format_line )
   plot3( vector(2,1), vector(2,2), vector(2,3), format_triangle    )
else
   plot3( vector(:,1), vector(:,2), vector(:,3), format_line )
   hold( "on" )
   plot3( vector(2,1), vector(2,2), vector(2,3), format_triangle  )
   hold( "off" )
endif

endfunction
