function rx = rotx( alpha )
% -- Function File: rotx( alpha )
%     Defines the rotation matrix about the x axis (mathematical positive,
%     ground-fixed reference system).
%     The parameter alpha is the rotation angle in degrees.
%
%     Arnold Neugebauer

rx = [1 0 0; 0 cosd(alpha) sind(alpha); 0 -sind(alpha) cosd(alpha)];

endfunction
