function ry = roty( alpha )
% -- Function File: roty( alpha )
%     Defines the rotation matrix about the y axis (mathematical positive,
%     ground-fixed reference system).
%     The parameter alpha is the rotation angle in degrees.
%
%     Arnold Neugebauer

ry = [cosd(alpha) 0 -sind(alpha); 0 1 0; sind(alpha) 0 cosd(alpha)];

endfunction
