function rz = rotz( alpha )
% -- Function File: rotz( alpha )
%     Defines the rotation matrix about the z axis (mathematical positive,
%     ground-fixed reference system).
%     The parameter alpha is the rotation angle in degrees.
%
%     Arnold Neugebauer

rz = [cosd(alpha) sind(alpha) 0; -sind(alpha) cosd(alpha) 0; 0 0 1];

endfunction
